Package org.apache.lucene.analysis.opennlp

# Class OpenNLPTokenizerFactory

java.lang.Object
org.apache.lucene.analysis.AbstractAnalysisFactory
org.apache.lucene.analysis.TokenizerFactory
org.apache.lucene.analysis.opennlp.OpenNLPTokenizerFactory

All Implemented Interfaces:
  `ResourceLoaderAware`

public class OpenNLPTokenizerFactory extends TokenizerFactory implements ResourceLoaderAware
Factory for `OpenNLPTokenizer`.

     <fieldType name="text_opennlp" class="solr.TextField" positionIncrementGap="100"
       <analyzer>
         <tokenizer class="solr.OpenNLPTokenizerFactory" sentenceModel="filename" tokenizerModel="filename"/>
       </analyzer>
     </fieldType>

Since:
  7.3.0
SPI Name (case-insensitive: if the name is 'htmlStrip', 'htmlstrip' can be used when looking up the service).
  "openNlp"

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `NAME`
  SPI name
  `static final String`
  `SENTENCE_MODEL`
  `static final String`
  `TOKENIZER_MODEL`

  ### Fields inherited from class org.apache.lucene.analysis.AbstractAnalysisFactory

  `LUCENE_MATCH_VERSION_PARAM, luceneMatchVersion`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `OpenNLPTokenizerFactory()`
  Default ctor for compatibility with SPI
  `OpenNLPTokenizerFactory(Map<String,String> args)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `OpenNLPTokenizer`
  `create(AttributeFactory factory)`
  `void`
  `inform(ResourceLoader loader)`

  ### Methods inherited from class org.apache.lucene.analysis.TokenizerFactory

  `availableTokenizers, create, findSPIName, forName, lookupClass, reloadTokenizers`

  ### Methods inherited from class org.apache.lucene.analysis.AbstractAnalysisFactory

  `defaultCtorException, get, get, get, get, get, getBoolean, getChar, getClassArg, getFloat, getInt, getLines, getLuceneMatchVersion, getOriginalArgs, getPattern, getSet, getSnowballWordSet, getWordSet, isExplicitLuceneMatchVersion, require, require, require, requireBoolean, requireChar, requireFloat, requireInt, setExplicitLuceneMatchVersion, splitAt, splitFileNames`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### NAME

    public static final String NAME
    SPI name
    See Also:
      - Constant Field Values

  - ### SENTENCE_MODEL

    public static final String SENTENCE_MODEL
    See Also:
      - Constant Field Values

  - ### TOKENIZER_MODEL

    public static final String TOKENIZER_MODEL
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### OpenNLPTokenizerFactory

    public OpenNLPTokenizerFactory(Map<String,String> args)

  - ### OpenNLPTokenizerFactory

    public OpenNLPTokenizerFactory()
    Default ctor for compatibility with SPI

- ## Method Details

  - ### create

    public OpenNLPTokenizer create(AttributeFactory factory)
    Specified by:
      `create` in class `TokenizerFactory`

  - ### inform

    public void inform(ResourceLoader loader) throws IOException
    Specified by:
      `inform` in interface `ResourceLoaderAware`
    Throws:
      `IOException`